List app release channels
curl --request GET \
--url https://managexrapi.com/v1/apps/{packageName}/release-channels \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://managexrapi.com/v1/apps/{packageName}/release-channels"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://managexrapi.com/v1/apps/{packageName}/release-channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "rc_123",
"name": "Stable",
"type": "app",
"packageName": "com.example.app",
"targetVersion": {
"id": "av_123",
"type": "managed",
"configurationDeployments": {
"config_123": 1,
"config_456": 0
},
"createdAt": 1645615777448,
"updatedAt": 1687352117203,
"versionCode": 83894522,
"versionName": "8.7.8.1206",
"apkSize": 72633861,
"selfHosted": false
},
"sharedOrganizations": [
{
"id": "org_789",
"name": "Example Org"
}
]
},
{
"id": "rc_456",
"name": "Beta",
"type": "app",
"packageName": "com.example.app",
"targetVersion": {
"id": "av_456",
"type": "shared",
"configurationDeployments": {
"config_123": 0,
"config_456": 1
},
"createdAt": 1645615777448,
"updatedAt": 1687352117203,
"versionCode": 83894522,
"versionName": "8.7.8.1206",
"apkSize": 72633861,
"selfHosted": false
},
"sharedOrganizations": []
}
]
}App Versions & Release Channels
List Release Channels
Returns a list of all release channels for a given application
GET
/
v1
/
apps
/
{packageName}
/
release-channels
List app release channels
Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Path Parameters
The package name of the app
Query Parameters
Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.
Defaults to the organizationId associated with the API key.
Response
200 - application/json
A list of release channels
Show child attributes
Show child attributes
⌘I